<?php
	// Needed for updating the user form
	require_once('includes/custom_functions.php');
	// Contains things like the product name, product tag line, support email, logo file, etc.
	require_once('config/config.php');
	$page_title = 'TweetSign Advanced Settings';
	require_once('templates/header.php');
	// The current page - this must match EXACTLY to what will be 
	// shown in navigation bar as the text
	$selected_page = 'Advanced Settings';
	require_once('templates/navbar.php');
	
	// Check the pin to make sure it is correct
	if(isset($_POST['submit_x'])){
		$pin_success = false;
		if(!empty($_POST['pin_input'])){
			// Check that the PIN is 8 digits like we want
			if(strlen($_POST['pin_input']) == 8){
				$pin_success = true;
			}else{
				$error_message = 'You may have entered the PIN incorrectly.  It is an 8 digit number. Please check and try again.';
			}
		}else{
			$error_message = 'You must enter a value for the PIN!';
		}
	}
	// If the user has submitted the form correctly, update everything and write it out
	if(isset($_POST['submit_x']) && $pin_success){
		$ini_array = parse_ini_file($path_for_user_settings, true);
		$ini_array['general']['operating_mode'] = $_POST['basic_operating_mode'];
		$ini_array['general']['scrolling_mode'] = $_POST['scrolling_mode'];
		$ini_array['general']['scrolling_speed'] = $_POST['scrolling_speed'];
		$ini_array['mode_2']['pin_php'] = $_POST['pin_input'];
		// Save the PIN to disk so python can try to run it
		file_put_contents('pin',$_POST['pin_input']);
		
		// Save a message for success and write out the config file
		$success_msg = 'Changes successfully saved!';
		write_ini_file($ini_array, $path_for_user_settings, true);
	}else{
		// Display an error message
		if(isset($error_message)){ 
			echo '<div class="error">';
			echo $error_message;
			echo '</div>';
		}
	}
	// Load all of the user settings...
	// Parse with sections

	$ini_array = parse_ini_file($path_for_user_settings, true);
	$operating_mode = $ini_array['general']['operating_mode'];
	$scrolling_mode = $ini_array['general']['scrolling_mode'];
	$scrolling_speed = $ini_array['general']['scrolling_speed'];
	$current_pin = $ini_array['mode_2']['pin_php'];
?>
		
		<br />
		<!--<p style="font-size: 18pt; color: blue;"> <?php //if(isset($success_msg)){ echo $success_msg; } ?> </p> -->
		
		<!-- Success Message -->
		<?php if(isset($success_msg)){ 
				echo '<div class="success">';
				echo $success_msg;
				echo '</div>';
				} ?>
		
	    <div id="bold_title_1"> Reading Tweets from your home timeline </div>
		
		<!-- Display Oauth Warning to user -->
		<div class="warning"> WARNING: By using this mode, you agree to having your access token (NOT PASSWORD) temporarily stored on our servers.
		</div>
		
		<p>The token will be deleted immediately after being downloaded to your sign.  If someone were to obtain your access token, they will be able to read messages from your home timeline. They will not be able to
		post messages on your behalf.</p>
		
		<p style="font-size:14pt; color: green;"> Current Operating Mode: <?php echo "$mode_description[$operating_mode]"; ?> </p>
		<hr clear="left" />
		
		<!-- Form with options -->
         <div id="setup_form">
			<div class="form_intro_box" >
			<span><img src="images/bullet_go.png" style="margin-right:15px; margin-left:15px; margin-bottom:-3px;" />
			<strong style="font-size:14px;">Advanced Settings: </strong> 
			Follow the two easy steps below to set up...</span></div>
			
			<div id="shadow" align="center" style="margin-top:1px;">
				<img src="images/shadow.png" />
			</div>
		</div>	
		
		<!-- Form with options -->
        <div id="form_inputs" style="margin-left:47px; margin-right:47px;">
        
	

		<form action="<?php $_SERVER['PHP_SELF'] ?>" method="post">
		
			<!-- Automatically setting the form to use Oauth Mode when submitting the form -->
			<input type="hidden" id="basic_operating_mode" name="basic_operating_mode" value="2" />
			
			

			<!-- STEP 1 - Clicking Link to go our online webserver -->
        	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="twitter_link_table">
              <tr>
                <td width="250"><p><strong>Step 1:</strong><br />
                Click the link to the right and authorize TweetSign</p></td>
                <td style="font-size:18px;">
					<a href="http://delveintothis.com/mqp/oauth/" target="_blank">
					<!--Connect With Twitter-->
					<img src="images/connect_with_twitter.png" />
					</a>
				</td>
              </tr>
            </table>
			
			<!-- STEP 2 - ALLOWING USER TO ENTER PIN -->
			<!-- Horizontal division between the form items -->
     		<div class="form_input_splitter"></div>
			
			<!-- PIN Input Field -->
        	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="pin_input_table">
              <tr>
                <td width="250"><p><strong>Step 2:</strong><br />
                Enter Your PIN Received From Clicking the Link From Step 1</p></td>
                <td><input type="text" class="form_input" id="pin_input" name="pin_input" value="<?php echo $current_pin; ?>" style="width:250px;"  /></td>
              </tr>
            </table>
		   
		   
		   
		   <!-- SIGN SETTINGS LIKE SPEED AND SCROLL MODE -->
		   
		    <!-- Horizontal division between the form items -->
     		<div class="form_input_splitter"></div>
			
			<!-- Scrolling Speed Selection -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="250" valign="top"><p><strong>Scrolling Speed:</strong><br />
                  How quickly the sign should scroll</p></td>
                <td> 
                    <select id="scrolling_speed" name="scrolling_speed" 
							style="width:270px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						foreach($scrolling_speeds as $speed_choice){
							$speed_choice_lower = strtolower($speed_choice);
							// Capitalize only the first letter
							$speed_choice_proper = ucfirst($speed_choice_lower);
							if($scrolling_speed == $speed_choice_lower){
								echo "<option value='$speed_choice_lower' selected='selected'>";
							}else{
								echo "<option value='$speed_choice_lower'>";
							}
							echo $speed_choice_proper;
							echo '</option>';
						}
						?>
					</select>
				</td>
			  </tr>
			</table>

		    <!-- Horizontal division between the form items -->
     		<div class="form_input_splitter"></div>
			
			<!-- Scrolling Mode Selection -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="250" valign="top"><p><strong>Scrolling Mode:</strong><br />
                  How to display the text on the TweetSign</p></td>
                <td> 
                    <select id="scrolling_mode" name="scrolling_mode" 
							style="width:270px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						foreach($scrolling_modes as $scrolling_mode_choice){
							$scrolling_mode_choice_lower = strtolower($scrolling_mode_choice);
							// Capitalize only the first letter
							$scrolling_mode_choice_proper = ucfirst($scrolling_mode_choice_lower);
							if($scrolling_mode == $scrolling_mode_choice_lower){
								echo "<option value='$scrolling_mode_choice_lower' selected='selected'>";
							}else{
								echo "<option value='$scrolling_mode_choice_lower'>";
							}
							echo $scrolling_mode_choice_proper;
							echo '</option>';
						}
						?>
					</select>
				</td>
			  </tr>
			</table>
			
			<!-- JAVASCRIPT ===> Could be used to make the success message dissappear after a few seconds -->
			<script language="javascript">

			</script>
			
			<!-- SUBMIT BUTTON -->
			<div align="center">
				<span><input type="image" name="submit" src="images/savechanges.png" /></span>
			</div>
		</form>
			
        </div>
		
		
		
<?php
	require_once('templates/footer.php');
?>
